net.i2p.desktopgui

## Class InternalTrayManager

- java.lang.Object
- - net.i2p.desktopgui.TrayManager
  - - net.i2p.desktopgui.InternalTrayManager

    public class InternalTrayManager
    extends TrayManager

### Field Summary

### Fields inherited from class net.i2p.desktopgui.TrayManager

`tray, trayIcon`

### Constructor Summary

Constructors
`protected` `InternalTrayManager()`

### Method Summary

Methods
`PopupMenu` `getMainMenu()` Build a popup menu, adding callbacks to the different items.

### Methods inherited from class net.i2p.desktopgui.TrayManager

`_, getInstance, languageChanged, startManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InternalTrayManager

    protected InternalTrayManager()

### Method Detail

#### getMainMenu

    public PopupMenu getMainMenu()

Description copied from class: `TrayManager`
Build a popup menu, adding callbacks to the different items.

Specified by:
  `getMainMenu` in class `TrayManager`
Returns:
  popup menu